Bug 18260 - [GEM 945 gm45] display black at the beginning and end of running doom3, with force_s3tc_enable
[GEM 945 gm45] display black at the beginning and end of running doom3, wit...
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
unspecified
x86 (IA32) Linux (All)
: medium normal
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 01:20 UTC by lin, jiewen
Modified: 2009-06-03 20:06 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg.conf (3.67 KB, text/plain)
2008-10-28 01:20 UTC, lin, jiewen
Details
xorg.0,log (85.99 KB, text/plain)
2008-10-28 01:22 UTC, lin, jiewen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lin, jiewen 2008-10-28 01:20:29 UTC
Created attachment 19898 [details]
xorg.conf

System Environment:
--------------------------

--Platform: gm45 945
--Architecture(32-bit,64-bit,compatiblity): 32-bit
--2D driver: (master)87ea531c5dc5b39809395b277c330854aaaaf019
--3D driver: intel-2008-q3 branch 46921a5ee832a3443894dcc98e065d2f535e899d
--DRM:shipped with kernel 2.6.27stolen-mem
--libdrm: (master)1d930fc75b99a89fc77d35d8f95f2877cfd5d7f0
--Xserver: (master)102c4dac7c521941f52652152b1660cd7f559d56
--Kernel: 2.6.27-rc9(drm-intel-next)af1f46ebc03f4eab533e7a695d836ad9f255bf49 

Bug detailed description:
--------------------------
start X,then run doom3-demo for several seconds,the display is black,and this last for several minutes.When quit the game, the display is black too.
Reproduce steps:
----------------
1. xinit &
2. doom3-demo
Comment 1 lin, jiewen 2008-10-28 01:22:34 UTC
Created attachment 19899 [details]
xorg.0,log
Comment 2 lin, jiewen 2008-10-28 02:06:58 UTC
Correct the System Environment:


System Environment:
--------------------------

--Platform: gm45 945
--Architecture(32-bit,64-bit,compatiblity): 32-bit
--2D driver: (master)87ea531c5dc5b39809395b277c330854aaaaf019
--3D driver: (master)2a877411dbe35abdd8c15fb4821d9232619d89cc
--DRM:shipped with kernel 2.6.27-rc9(drm-intel-next)
--libdrm: (master)1d930fc75b99a89fc77d35d8f95f2877cfd5d7f0
--Xserver: (master)102c4dac7c521941f52652152b1660cd7f559d56
--Kernel: 2.6.27-rc9(drm-intel-next)af1f46ebc03f4eab533e7a695d836ad9f255bf49 
Comment 3 Sven Arvidsson 2008-11-11 15:48:41 UTC
I have noticed this too on G45, but it only happens when I have force_s3tc_enable = true.
Comment 4 lin, jiewen 2008-11-11 17:18:32 UTC
We tried "force_s3tc_enable=false doom3-demo", the issue disappeared. So maybe the default force_s3tc_enable value is true. Thanks Sven.
Comment 5 lin, jiewen 2008-11-11 17:54:58 UTC
But it seems force_s3tc_enable dosen't make any sense to q965, as we tried force_s3tc_enable=fasle or ture, it always works well.
Comment 6 lin, jiewen 2008-12-09 01:17:36 UTC
With current code, the issue still exists.
Comment 7 lin, jiewen 2008-12-25 21:39:53 UTC
G45 64bit also has this issue, but it isn't affected by force_s3tc_enable.
Comment 8 lin, jiewen 2009-01-16 00:24:11 UTC
This issue still eixsts with current build.
Comment 9 liuhaien 2009-06-03 20:05:24 UTC
this issue has gone with below commits:
Libdrm:		(master)00fae87f96e1fc5198311feec81866bf9c53d0e1
Mesa:		(master)9f6ec50f8c79283583eeebdebd16bf7dcd134816
Xserver:		(master)7f027d9dc0146e229802aeac342ea2dbab63264a
Xf86_video_intel:		(master)b8e360bf2b77d28559d15a7c0f9c766848eb6ced
Kernel:       (for-linus)07f4f3e8a24138ca2f3650723d670df25687cd05
Comment 10 liuhaien 2009-06-03 20:06:05 UTC
verified.